random-fu-0.3.0.1: Random number generation

Safe Haskell | None
Language | Haskell2010

Data.Random.Distribution.Rayleigh

Synopsis

- floatingRayleigh :: forall a (m :: Type -> Type). (Floating a, Eq a, Distribution StdUniform a) => a -> RVarT m a
- newtype Rayleigh a = Rayleigh a
- rayleigh :: Distribution Rayleigh a => a -> RVar a
- rayleighT :: forall a (m :: Type -> Type). Distribution Rayleigh a => a -> RVarT m a
- rayleighCDF :: Real a => a -> a -> Double

# Documentation

floatingRayleigh :: forall a (m :: Type -> Type). (Floating a, Eq a, Distribution StdUniform a) => a -> RVarT m a Source #

newtype Rayleigh a Source #

The rayleigh distribution with a specified mode ("sigma") parameter. Its mean will be `sigma*sqrt(pi/2)` and its variance will be `sigma^2*(4-pi)/2`

(therefore if you want one with a particular mean `m`, `sigma` should be `m*sqrt(2/pi)`)

Constructors

Rayleigh a |

#### Instances

Instances details

(Real a, Distribution Rayleigh a) => CDF Rayleigh a Source # |
Instance details Defined in Data.Random.Distribution.Rayleigh Methods cdf :: Rayleigh a -> a -> Double Source #
(RealFloat a, Distribution StdUniform a) => Distribution Rayleigh a Source # |
Instance details Defined in Data.Random.Distribution.Rayleigh Methods rvar :: Rayleigh a -> RVar a Source # rvarT :: forall (n :: Type -> Type). Rayleigh a -> RVarT n a Source #

rayleigh :: Distribution Rayleigh a => a -> RVar a Source #

rayleighT :: forall a (m :: Type -> Type). Distribution Rayleigh a => a -> RVarT m a Source #

rayleighCDF :: Real a => a -> a -> Double Source #